#!/usr/local/bin/python2.2

from common import *

def generate_geometry(view):
    plane = Plane()
    plane.l2w = matrix.Matrix()
    plane.l2w.set_scale(3, 3, 3)
    plane.l2w.rotate(-30, 0, 0)
    material = Diffuse(0.7, 0.6, 0.3)
    displacement = LocalDisplacement(1)
    map = ImageMap("noise.ppm")
    displacement.D = map
    view.add_geometry(plane, material, 1, displacement)

    
run(generate_geometry, "Displacement")

