#!/usr/local/bin/python2.2 

from common import *

def generate_geometry(view):
    material = Diffuse(0.5, 0.2, 0.3)
    map = ImageMap("texture.ppm")
    material.Kd = map

    cube = Cube()
    cube.l2w = matrix.Matrix()
    cube.l2w.set_translate(0, 0, -1)
    cube.l2w.lookat(3,4,5)
    cube.l2w_motion = matrix.Matrix()
    cube.l2w_motion.set_translate(0, 1, 1)
    cube.l2w_motion.lookat(3,4,5)
    cube.l2w_motion.rotate(0, 15, 0)
    view.add_geometry(cube, material, 3)

    cube = Cube()
    cube.l2w = matrix.Matrix()
    cube.l2w.set_translate(2, -1, 1)
    cube.l2w.lookat(5,3,7)
    view.add_geometry(cube, material, 3)


run(generate_geometry, "TwoCubes")

